//fatfs libraries
#include "fatfs/ff.h"
#include "fatfs/ff.c"
#include "fatfs/mmc.c"
#include "fatfs/diskio.h"

//File listing into 2D character array
FRESULT file_list(char*, char[][14], uint8_t*, uint8_t);

//declaration for disk_timerproc()
//void disk_timerproc();

void printFRcode(FRESULT fResult);

//time
volatile unsigned int millis;
volatile unsigned int secs;
volatile unsigned int mins;
volatile unsigned int hours;
volatile unsigned int day;
volatile unsigned int month;
volatile unsigned int year;

volatile unsigned int SDsec;
volatile unsigned int SDmin; 

unsigned char disk_timer;

//file system pointers
FIL file;
FIL* filePtr; //= &file
FATFS fs;
FATFS* fsPtr;

//Number of times the file has been written to
unsigned int counter;
unsigned char flag,wFlag;
unsigned char openFlag,flagus; //is the file open?
unsigned char diskInitFlag;
unsigned char diskMountFlag;
