/*****************************************************
*
*	shared.h
*
*	Shared parameters and functions
*
*****************************************************/

#define F_CPU 16000000UL

#include <inttypes.h>
#include <avr/io.h> 
#include <avr/interrupt.h> 
#include <avr/pgmspace.h> 
#include <stdio.h> 
#include <stdlib.h> 
#include <string.h> 
#include <util/delay.h>
#include "uart.h"
#include "sd_shared.h"

/* UART file descriptor: putchar and getchar are in uart.c */
/* Initialized in GPS_watch.c */
extern FILE uart_str;

/* Shared Functions */
void LCD_print(char* str, uint8_t line);

